Loading...
Searching...
No Matches
gr::fft::goertzel Class Reference
Miscellaneous

Implements Goertzel single-bin DFT calculation. More...

`#include <gnuradio/fft/goertzel.h>`

## Public Member Functions

| goertzel (int rate, int len, float freq)
void | set_params (int rate, int len, float freq)
gr_complex | batch (const float *in)
void | input (const float &in)
gr_complex | output ()
bool | ready () const

## Detailed Description

Implements Goertzel single-bin DFT calculation.

## Constructor & Destructor Documentation

## goertzel()

gr::fft::goertzel::goertzel | ( | int | rate,
|  | int | len,
|  | float | freq )

## Member Function Documentation

## batch()

gr_complex gr::fft::goertzel::batch | ( | const float * | in | ) |

## input()

void gr::fft::goertzel::input | ( | const float & | in | ) |

## output()

gr_complex gr::fft::goertzel::output | ( |  | ) |

## ready()

bool gr::fft::goertzel::ready | ( |  | ) | const

inline

## set_params()

void gr::fft::goertzel::set_params | ( | int | rate,
|  | int | len,
|  | float | freq )

The documentation for this class was generated from the following file:

- goertzel.h